﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gallio.Framework;
using MbUnit.Framework;
using MbUnit.Framework.ContractVerifiers;
using PTP.Core;
using System.IO;

namespace PTP.Devices
{
  public class CanonEOSMock : CanonEOS
  {
    public CanonEOSMock(ContainerStream s) : base(s, false) { }

    public void BeginSendCommand(CommandBlockContainer command, bool setTransactionID)
    {
      this.beginSendCommand(command, setTransactionID, null);
    }

    public Container EndSendCommand(CommandBlockContainer command)
    {
      return this.endSendCommand(command, null);
    }
  }

  [TestFixture]
  [Description("Test that KeepDeviceOn command can't get in between other command and it's response")]
  public class CanonEOSTest
  {

  }
}
